import { LayoutService } from '@/layout/service/layout.service';
import { Component, inject } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { PROVIDER_MENU_ITEMS } from '../constants';

@Component({
  selector: 'provider-layout',
  templateUrl: './layout.component.html',
  imports: [RouterOutlet],
})
export class LayoutComponent {
  private readonly layoutService = inject(LayoutService);

  ngOnInit() {
    this.layoutService.setMenuItems(PROVIDER_MENU_ITEMS);
  }
}
